package com.yeejoin.equipmanage.service;


/**
 * @author keyong
 * @title: MqttReceiveService
 * <pre>
 * @description: TODO
 * </pre>
 * @date 2020/11/2 16:59
 */
public interface MqttReceiveService {

    /**
     * 增量数据处理
     *
     * @param topic   主题
     * @param message 消息内容
     */
    void handlerMqttIncrementMessage(String topic, String message);

    /**
     * 处理交换站消息数据
     *
     * @param topic   主题
     * @param message 消息内容
     */
    void handlerMqttRomaMessage(String topic, String message);

    /**
     * 中心级接收消息发送至消息服务
     *
     * @param topic
     * @param message
     */
    void handleDataToRiskModel(String topic, String message);

    void handlerMqttStationMessage(String topic, String message);
}
